# rstan version 2.12.1

library(rstan)
library(loo)

source("data15.R")
#1̃p[gz
scr<-"code15_1.stan"
data<-list(N=N, x=x, minx=minx)
par<-c("alpha","beta","E","med","u","q90","log_lik")
 
war<-5000              
ite<-10000             @
see<-1234             @@
dig<-3                 
cha<-1                

fit1<-stan(file=scr, model_name=scr, data=data, pars=par,verbose=F, seed=see,
	 chains=cha, warmup=war, iter=ite)
print(fit1,pars=c("alpha","beta","E","med","u","q90"),digits_summary=dig)


#ΐKz
scr<-"code15_2.stan"
data<-list(N=N, x=x)
par<-c("mu","sigma","log_lik")
 
war<-5000              
ite<-10000             @
see<-1234             @@
dig<-3                 
cha<-1                

fit2<-stan(file=scr, model_name=scr, data=data, pars=par,verbose=F, seed=see,
	 chains=cha, warmup=war, iter=ite)


#K}z
scr<-"code15_3.stan"
data<-list(N=N, x=x)
par<-c("alpha","beta","log_lik")
 
war<-5000              
ite<-10000             @
see<-1234             @@
dig<-3                 
cha<-1                

fit3<-stan(file=scr, model_name=scr, data=data, pars=par,verbose=F, seed=see,
	 chains=cha, warmup=war, iter=ite)


#WAIC̔r
log_lik1<-extract_log_lik(fit1)
waic1<-waic(log_lik1)
print(waic1,digits=3)

log_lik2<-extract_log_lik(fit2)
waic2<-waic(log_lik2)
print(waic2,digits=3)

log_lik3<-extract_log_lik(fit3)
waic3<-waic(log_lik3)
print(waic3,dgits=3)



