data {
	int<lower=0> N;
	real<lower=0.999> x[N];
}
parameters {
	real  mu;  
	real<lower=0>   sigma;
}
model {
       for(n in 1:N){
	x[n] ~ lognormal(mu,sigma);
	}
}
generated quantities{
	vector[N] log_lik;
	
	for(i in 1:N){
		log_lik[i] = lognormal_lpdf(x[i]|mu,sigma);
	}
}
