data{
	int<lower=0> N;
	real edu[N];
	real sex[N];
	int<lower=0> y[N];
}
parameters{
	real b;
	real a1;
	real a2;
}
model{
	for(i in 1:N){
		#y[i] ~ bernoulli(inv_logit(b + a1 * edu[i] + a2 * sex[i]));
		y[i] ~ bernoulli_logit(b + a1 * edu[i] + a2 * sex[i]);
	}
}
generated quantities{
	real log_lik[N];
	for(i in 1:N)
		log_lik[i] = bernoulli_logit_lpmf(y[i]|b + a1 * edu[i] + a2 * sex[i]);
}
