data {
  int<lower=1> K;  
  int<lower=1> V;  
  int<lower=0> T;  
  int<lower=1,upper=V> x[T]; 
  int<lower=1,upper=K> z[T]; 
  vector<lower=0>[K] prior_a;  
  vector<lower=0>[V] prior_b;   
}
parameters {
  simplex[K] a[K];  
  simplex[V] b[K];    
}
model {
  for (i in 1:K) 
    a[i] ~ dirichlet(prior_a);
  for (j in 1:K)
    b[j] ~ dirichlet(prior_b);
  for (t in 1:T)
    x[t] ~ categorical(b[z[t]]);
  for (t in 2:T)
    z[t] ~ categorical(a[z[t - 1]]);
}

